/**
 * JBoss, Home of Professional Open Source
 * Copyright Red Hat, Inc., and individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.aerogear.android.authentication.basic;

import org.jboss.aerogear.android.core.ConfigurationProvider;
import org.jboss.aerogear.android.authentication.basic.HttpBasicAuthenticationConfiguration;

public class HttpBasicAuthenticationConfigurationProvider implements ConfigurationProvider<HttpBasicAuthenticationConfiguration> {

    /**
     * Returns a new instance of {@link HttpBasicAuthenticationConfiguration}
     * 
     * @return a new instance of {@link HttpBasicAuthenticationConfiguration}
     */
    @Override
    public HttpBasicAuthenticationConfiguration newConfiguration() {
        return new HttpBasicAuthenticationConfiguration();
    }
}